List bans
curl --request GET \
--url https://api.lumonol.co.uk/ankra/list-bans \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lumonol.co.uk/ankra/list-bans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.lumonol.co.uk/ankra/list-bans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"bans": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ban_number": 123,
"player_username": "<string>",
"player_roblox_id": 123,
"banned_by_username": "<string>",
"ban_reason": "<string>",
"source": "<string>",
"ban_type": "permanent",
"duration_seconds": 123,
"is_active": true,
"created_at": "2023-11-07T05:31:56Z"
}
],
"offset": 123,
"limit": 123
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}Bans
List bans
Bans (active_only=, search=).
GET
/
list-bans
List bans
curl --request GET \
--url https://api.lumonol.co.uk/ankra/list-bans \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lumonol.co.uk/ankra/list-bans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.lumonol.co.uk/ankra/list-bans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"bans": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ban_number": 123,
"player_username": "<string>",
"player_roblox_id": 123,
"banned_by_username": "<string>",
"ban_reason": "<string>",
"source": "<string>",
"ban_type": "permanent",
"duration_seconds": 123,
"is_active": true,
"created_at": "2023-11-07T05:31:56Z"
}
],
"offset": 123,
"limit": 123
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}Authorizations
A workspace API key from Settings › Developer.
Query Parameters
The workspace: the 24-character ID in its Ankra address, or its UUID.
false includes lifted bans.
Matches the player username.
How many to return, up to 100.
Required range:
1 <= x <= 100How many to skip, for paging.
Required range:
x >= 0
